﻿using System;
using System.Windows.Forms;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            this.listBoxControl1.DataSource = TestData.GetList();

            this.listBoxControl1.ValueMember   = "ID";
            this.listBoxControl1.DisplayMember = "NAME";
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 값 설정하기 버튼 클릭시 처리하기 - setValueButton_Click(sender, e)

        /// <summary>
        /// 값 설정하기 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void setValueButton_Click(object sender, EventArgs e)
        {
            this.listBoxControl1.Value = "12,15,13";
        }

        #endregion
        #region 값 구하기 버튼 클릭시 처리하기 - getValueButton_Click(sender, e)

        /// <summary>
        /// 값 구하기 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void getValueButton_Click(object sender, EventArgs e)
        {
            this.valueTextBox.Text = this.listBoxControl1.Value;
        }

        #endregion
        #region 토글 버튼 클릭시 처리하기 - toggleButton_Click(sender, e)

        /// <summary>
        /// 토글 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void toggleButton_Click(object sender, EventArgs e)
        {
            this.listBoxControl1.SingleSelect = !this.listBoxControl1.SingleSelect;
        }

        #endregion
    }
}