﻿using System.Collections.Generic;

namespace TestProject
{
    /// <summary>
    /// 테스트 데이터
    /// </summary>
    public class TestData
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region ID - ID

        /// <summary>
        /// ID
        /// </summary>
        public string ID { get; set; }

        #endregion
        #region 명칭 - NAME

        /// <summary>
        /// 명칭
        /// </summary>
        public string NAME { get; set; }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Public

        #region 리스트 구하기 - GetList()

        /// <summary>
        /// 리스트 구하기
        /// </summary>
        /// <returns>리스트</returns>
        public static List<TestData> GetList()
        {
            List<TestData> list = new List<TestData>();

            for(int i = 0; i < 100; i++)
            {
                list.Add(new TestData { ID = GetRightString("00" + i.ToString(), 2), NAME = GetRightString("00" + i.ToString(), 2) });
            }

            return list;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////// Private

        #region 오른쪽 문자열 구하기 - GetRightString(source, length)

        /// <summary>
        /// 오른쪽 문자열 구하기
        /// </summary>
        /// <param name="source">소스 문자열</param>
        /// <param name="length">길이</param>
        /// <returns>오른쪽 문자열</returns>
        public static string GetRightString(string source, int length)
        {
            if(source.Length > length)
            {
                return source.Substring(source.Length - length, length);
            }
            else
            {
                return source;
            }
        }

        #endregion    
    }
}